<script lang="ts">
/**
 * src/routes/events/[event_id]/(leads)/leads/exhibit/[exhibit_id]/+layout.svelte
 * Exhibitor Dashboard Layout.
 */
interface Props {
    children?: import('svelte').Snippet;
}

let { children }: Props = $props();

import { events_slct } from '$lib/stores/ae_events_stores';
import { liveQuery } from 'dexie';
import { db_events } from '$lib/ae_events/db_events';

let lq__exhibit_obj = $derived(
    liveQuery(async () => {
        if (!$events_slct.exhibit_id) return null;
        return await db_events.exhibit.get($events_slct.exhibit_id);
    })
);
</script>

<!-- <div class="exhibit-layout flex flex-col h-full w-full"> -->
{@render children?.()}
<!-- </div> -->
